Subject: Re: bug#48796: Guix on Debian 11 - Cant run or find applications from Guix

From: zimoun <[email-masked]>
Date: Wed, 05 Jan 2022 00:16:04 +0100

Hi,

What is the concrete next action of this bug [1]?

1: <http://issues.guix.gnu.org/issue/48796>

On Sun, 26 Sep 2021 at 01:50, Maxim Cournoyer <[email-masked]> wrote:
> bo0od <[email-masked]> writes:
>
>>> I suspect you didn't install Guix via this script?  If so, could you try
>>> creating the above file, closing relogin in your graphical session and
>>> report if it fixed things for you?
>>
>> Its already answered how to fix it after installation, Thats not the
>> only issue, The real issue is guix isnt doing this by default after
>> installing it, You dont expect users to make crazy steps after
>> installation just to make guix works properly.
>
> You are right, that the installation script should probably source the
> /etc/profile.d/guix.sh that it installed so that things work normally
> already in the current shell.

Well, I think this was similarly answered [2] in this same thread. ;-)

2: <https://issues.guix.gnu.org/issue/48796#5>

What could be the improvements here?

>> Solution to this must developed in a way that when user install guix
>> package then he type guix install x then it should work without
>> further configs.
>
> I agree that making things as smooth as possible for new users is a
> worthy goal.

Is it related to this bug? ;-)

Cheers,
simon